## cultivation 9%2Bdfsg1

=== debian/watch ===
version=3
opts="dversionmangle=s/[.+]dfsg(.?\d+)?$//; s/\.[0-9]{8}$//" \
  http://sf.net/cultivation/Cultivation_(.*)_UnixSource\.tar\.gz

## cultivation 9+dfsg1

=== game2/documentation/futurePlay/Makefile ===
# 
# Generic:
#
# Map all .cpp C++ and C files into .o object files
#
# $@   represents the name.o file
# $<   represents the name.cpp file
#
%.eps: %.sk
	sk2ps $< $@
%.dvi: %.tex
	latex $<
%.ps: %.dvi
	dvips -Ppdf -t letter -o $@ $<
%.pdf: %.ps
	ps2pdf $<


all: poster.pdf

clean: 
	rm *.pdf *.ps *.dvi *.log *.aux

=== game2/documentation/gameDesign/Makefile ===
#
# Modification History
#
# 2006-June-27  Jason Rohrer
# Created.
#


all:  dvi ps pdf


dvi: design.dvi

ps: design.ps

pdf: design.pdf




design.dvi: design.tex
	latex design.tex


design.ps: design.dvi
	dvips -t letter -o design.ps design.dvi

design.pdf: design.ps
	ps2pdf design.ps

=== debian/changelog ===
cultivation (9+dfsg1-3) unstable; urgency=medium

  * Team Upload
  * Import game on Salsa
  * Switch to DebHelper 13
  * Fix FTCBFS (Closes: #922538)
  * Remove old Debian Menu file

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 16:49:06 +0200

cultivation (9+dfsg1-2) unstable; urgency=low

  [ Barry deFreese ]
  * Patch for portaudio19. (Closes: #594015).
  * Add hardening flags:
    + Clean up rules file to pass options not sed the makefiles.
    + Add dpkg-dev build dep for buildflags.
  * Bump Standards Version to 3.9.4.

  [ Paul Wise ]
  * Use the canonical and working URLs for Vcs-*
  * Upgrade to debhelper compat 9, add hardening
  * Drop unneeded duplicate png file
  * Add some keywords to the desktop file

 -- Paul Wise <pabs@debian.org>  Sun, 02 Jun 2013 14:24:36 +0800

cultivation (9+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Needs libpng, build against it
  * Switch to dpkg-source v3 format
  * Refresh, clean patches
    - Drop rng_64bit.patch, merged upstream
    - Drop mouse_pos.patch, issue fixed in mesa
    - Drop cflags.patch, using sed is better
    - Merge build.patch into portaudio.patch
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Split up Build-Depends field
  * Build & use a large transparent icon from the MacOS icon & mask
  * Improve the menu files
  * Install the upstream changelog file
  * Change the patches to use DEP-3 headers
  * Add myself to Uploaders
  * Drop README.Debian, it is not useful to users
  * Bump Standards-Version, no changes needed
  * Slightly improve the copyright file
  * Don't link against libX11, it isn't used
  * Fix a crash when restarting the game (Closes: #597851)

 -- Paul Wise <pabs@debian.org>  Wed, 09 Feb 2011 21:53:07 +0800

cultivation (8.20070809.dfsg1-3) unstable; urgency=medium

  [ Miriam Ruiz ]
  * Fixed bashism: Replaced "{build,configure}-stamp"
    by "build-stamp configure-stamp" in debian/rules.

  [ Jon Dowland ]
  * remove a bashism in debian/rules (Closes: #478368)

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description

  [ Peter De Wachter ]
  * rng_64bit.patch: fix for 64-bit systems from upstream CVS (Closes: #501933)
  * debian/rules: call dh_desktop
  * debian/control: add myself to uploaders

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 14 Oct 2008 00:02:25 +0200

cultivation (8.20070809.dfsg1-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added hacky patch to fix wrong mouse behaviour. See #440137
    Thanks to David Martinez Marti <deavidsedice@gmail.com>

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:47:53 +0000

cultivation (8.20070809.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream version.
  * Replaced icon by upstream's.
  * Added XS-Vcs-Svn and XS-Vcs-Browser to debian/control.

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 28 Aug 2007 14:36:38 +0000

cultivation (7.20061227.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #428078)

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 08 Jun 2007 14:04:02 +0000

=== debian/control ===
Source: cultivation
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Peter De Wachter <pdewacht@gmail.com>,
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 imagemagick,
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libpng-dev,
 portaudio19-dev
Standards-Version: 3.9.4
Vcs-Git: https://salsa.debian.org/games-team/cultivation.git
Vcs-Browser: https://salsa.debian.org/games-team/cultivation
Homepage: http://cultivation.sourceforge.net/

Package: cultivation
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: game about the interactions within a gardening community
 Cultivation is a game about a community of gardeners growing food for
 themselves in a shared space.
 .
 Cultivation is quite different from most other games. It is a social
 simulation, and the primary form of conflict is over land and plant
 resources. There is no shooting, but there are plenty of angry looks. It is
 also an evolution simulation. Within the world of Cultivation, you can
 explore a virtually infinite spectrum of different plant and gardener
 varieties.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	chmod u+x game2/configure
	cd game2 && ./configure --linux

override_dh_auto_build:
	convert -type Grayscale -negate ./game2/build/macOSX/icon128_mask.png mask.png
	composite -compose CopyOpacity mask.png ./game2/build/macOSX/icon128_color.png cultivation.png
	mkdir -p 32x32
	convert -scale 32x32 cultivation.png 32x32/cultivation.png
	convert 32x32/cultivation.png 32x32/cultivation.xpm
	sed -i -e 's/-lX11//' game2/gameSource/Makefile
	sed -i -e 's/^DEBUG_FLAG = .*/DEBUG_FLAG = /' game2/gameSource/Makefile
	sed -i -e 's/^OPTIMIZE_FLAG = .*/OPTIMIZE_FLAG = /' game2/gameSource/Makefile
	sed -i -e 's/^COMPILE_FLAGS = /COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' game2/gameSource/Makefile
	sed -i -e 's/^LINK_FLAGS = /LINK_FLAGS = $$(LDFLAGS) /' game2/gameSource/Makefile
	dh_auto_build --sourcedirectory=game2/gameSource -- 'GXX=$$(CXX)' LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DDATADIR=\\\"/usr/share/games/cultivation\\\""

override_dh_auto_clean:
	[ ! -f game2/gameSource/Makefile ] || $(MAKE) -C game2/gameSource clean
	rm -f game2/gameSource/Makefile
	rm -f game2/gameSource/Makefile.minorGems_dependencies
	rm -rf mask.png cultivation.png 32x32

override_dh_installchangelogs:
	dh_installchangelogs game2/documentation/changeLog.txt

V=9
P=Cultivation
p=cultivation
sfp=cultivation/cultivation

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/v$(V)/$(P)_$(V)_UnixSource.tar.gz
	tar zxf $(P)_$(V)_UnixSource.tar.gz
	# Embedded code copies
	rm -r $(P)_$(V)_UnixSource/minorGems/sound/portaudio
	# Embedded code copies, unused
	rm -r $(P)_$(V)_UnixSource/minorGems/network/upnp/miniupnpc
	rm $(P)_$(V)_UnixSource/minorGems/graphics/converters/lodepng.*
	# Pre-built PDF, unused
	rm $(P)_$(V)_UnixSource/game2/documentation/futurePlay/poster.pdf
	# Pre-built Windows libraries, unused
	rm $(P)_$(V)_UnixSource/game2/build/win32/*.dll
	# non-free, unused
	rm -r $(P)_$(V)_UnixSource/minorGems/util/development/fortify
	rm $(P)_$(V)_UnixSource/minorGems/graphics/openGL/tga.*
	rm $(P)_$(V)_UnixSource/minorGems/graphics/openGL/texture.*
	mv $(P)_$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -r $(P)_$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig
